export const updateManager = () => {
  const updateManager = uni.getUpdateManager();

  // 当向小程序后台请求完新版本信息，会进行回调
  updateManager.onCheckForUpdate((res) => {
    console.log("onCheckForUpdate res:", res.hasUpdate);
  });

  // 当新版本下载完成，会进行回调
  updateManager.onUpdateReady(() => {
    uni.showModal({
      title: "更新提示",
      content: "新版本已经准备好，是否重启应用？",
      success: (res) => {
        if (res.confirm) {
          // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
          updateManager.applyUpdate();
        }
      },
    });
  });

  // 当新版本下载失败，会进行回调
  updateManager.onUpdateFailed(() => {});
};
